## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XNumberAllocator Class Reference

`#include <XNumberAllocator.hpp>`

Collaboration diagram for XNumberAllocator:

[legend]
List of all members.

## Public Types

- typedef XNumber number_type
- typedef ReusableArenaAllocator<
  number_type> ArenaAllocatorType
- typedef ArenaAllocatorType::size_type size_type

## Public Methods

- XNumberAllocator (size_type theBlockCount)
    Construct an instance that will allocate blocks of the specified size. More...
- ~XNumberAllocator ()
- number_type* createNumber (double theNumber)
    Create an XNumber object using allocator from a string. More...
- number_type* clone (const XNumber &value)
    Clone an XNumber object. More...
- bool destroy (number_type *theNumber)
    Delete an XNumber object from allocator. More...
- bool ownsObject (const number_type *theObject)
    Determine if an object is owned by the allocator... More...
- void reset ()
    Delete all XNumber objects from allocator. More...
- size_type getBlockCount () const
    Get size of an ArenaBlock, that is, the number of objects in each block. More...
- size_type getBlockSize () const
    Get the number of ArenaBlocks currently allocated. More...

## Member Typedef Documentation

typedef ReusableArenaAllocator< number_type > XNumberAllocator::ArenaAllocatorType<number_type>

typedef XNumber XNumberAllocator::number_type

typedef ArenaAllocatorType::size_type XNumberAllocator::size_type

## Constructor & Destructor Documentation

XNumberAllocator::XNumberAllocator ( | size_type theBlockCount )

  | Construct an instance that will allocate blocks of the specified size. Parameters:
  theBlockSize | The block size.

XNumberAllocator::~XNumberAllocator ( | )

## Member Function Documentation

number_type * XNumberAllocator::clone ( | const XNumber & value )

  | Clone an XNumber object. Parameters:
  value | source XNumber
Returns: pointer to an XNumber

number_type * XNumberAllocator::createNumber ( | double theNumber )

  | Create an XNumber object using allocator from a string. Parameters:
  theString | source number
Returns: a pointer to a number

bool XNumberAllocator::destroy ( | number_type * theNumber )

| Delete an XNumber object from allocator.

size_type XNumberAllocator::getBlockCount ( | ) const

| Get size of an ArenaBlock, that is, the number of objects in each block. Returns: The size of the block

size_type XNumberAllocator::getBlockSize ( | ) const

| Get the number of ArenaBlocks currently allocated. Returns: The number of blocks.

bool XNumberAllocator::ownsObject ( | const number_type * theObject )

| Determine if an object is owned by the allocator...

void XNumberAllocator::reset ( | )

| Delete all XNumber objects from allocator.

The documentation for this class was generated from the following file:

- XNumberAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.